|
Ubicación en el Menú |
---|
Arch → Pipe Tools → Pipe |
Entornos de trabajo |
Arch |
Atajo de teclado por defecto |
P I |
Introducido en versión |
0.17 |
Ver también |
Arch PipeConnector |
Descripción
introduced in 0.17 Esta herramienta permite crear tuberías desde cero, o desde objetos seleccionados. Los objetos seleccionados deben estar basados en partes (borrador, boceto, etc.) y contener uno y solo un cable abierto.
Como utilizar
- Opcionalmente, seleccione una forma lineal de Part como Draft Line, Draft Wire o un Sketch
- Presione el botón
Arch Pipe, o presione P luego las teclas I
Opciones
Properties
An Arch Pipe object shares the common properties and behaviors of all Arch Components.
Data
Component
- DatosBase (
Link
): The base wire of this pipe, if any.
For the other properties in the group see Arch Component.
Pipe
- DatosDiameter (
Length
): The diameter of this pipe, if its DatosProfile Type isCircle
. - DatosHeight (
Length
): The height of this pipe, if its DatosProfile Type isRectangle
. - DatosLength (
Length
): The length of this pipe, if not based on a wire. - DatosOffset End (
Length
): The offset from the end point of the pipe. Automatically set if an Arch PipeConnector is added at this point to make the pipe fit the connector. See Typical workflow below. - DatosOffset Start (
Length
): The offset from the start point of the pipe. Idem. - DatosProfile (
Link
): The base profile of this pipe. If not set, the pipe profile is determined by DatosProfile Type. - DatosProfile Type (
Enumeration
): The profile of this pipe. Only used if DatosProfile is not set. The options are:Circle
,Square
orRectangle
. - DatosWall Thickness (
Length
): The wall thickness of this pipe. - DatosWidth (
Length
): The width of this pipe, if its DatosProfile Type isSquare
orRectangle
.
Typical workflow
- Start by placing sanitary/hydraulic appliance items (below is an imported step file). You turn these objects into Arch Equipments by selecting them, and pressing the Arch Equipment button.
- Arch Equipments now have a new SnapPoints property, which is a list of 3D vectors. This allows you to add custom snap points, to which you can snap when the new Draft Special snap button is turned on. Currently that property is only available to Python, though. In the case above I added a new snap point at the exit of the WC appliance. The vectors inside SnapPoints appear on the model as white dots:
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]
- With the new "Snap Special" Draft Snap, you can now snap to these custom points:
- Now we can draw our piping using Draft Lines, Draft Wires, or Sketches. The best way, though, is using only Draft Lines:
- The Draft Slope tool allows to change the slope of Draft lines, to, for example, 5% (0.05). So we can quickly give our waste lines a correct slope. Only z coordinates are change by this tool, so we only need to snap them back to each other, the top projection will stay unchanged.
- We now only have to select all our lines, and press the Arch Pipe button. Arch Pipe works with any Part-based object that contains one and only one open wire.
- We can now create connections by selecting 2 or 3 coincident tubes, and press the Arch PipeConnector button. If 3 pipes are selected, two of them must be aligned in order to create a tee element:
- Changing the connectors radius doesn't change the length of the underlying base line, only the resulting tube (by changing their OffsetStart or OffsetEnd property). So you can still draw your line layout with only straight lines, without the need to care about curves and radius.
It is also possible to create Arch Pipes without a base line, in this case use its "Length" property to define the length.
Scripting
Programación
La herramienta de Tubería/Pipe se puede utilizar en macros y desde la consola de Python mediante la utilización de las siguientes funciones:
pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
- Creates a
pipe
object from the givenbaseobj
anddiameter
.baseobj
is a Draft Line or Draft Wire.- If
baseobj
is omitted, a straight pipe can be created with just thediameter
and thelength
in the Z direction.
- If a
placement
is given, it is used.
import Draft, Arch
p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2500, 200, 0)
p3 = FreeCAD.Vector(3100, 1000, 0)
p4 = FreeCAD.Vector(3500, 500, 0)
line = Draft.make_wire([p1, p2, p3, p4])
pipe = Arch.makePipe(line, 200)
FreeCAD.ActiveDocument.recompute()
pipe2 = Arch.makePipe(diameter=120, length=3000)
FreeCAD.ActiveDocument.recompute()
Esta página ha sido recuperada de https://wiki.freecad.org/Arch_Pipe